CertOrEncCert (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cmp

## Class CertOrEncCert

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cmp.CertOrEncCert

- All Implemented Interfaces:
    ASN1Choice, ASN1Encodable, Encodable

      public class CertOrEncCert
      extends ASN1Object
      implements ASN1Choice

  CertOrEncCert ::= CHOICE { certificate [0] CMPCertificate, encryptedCert [1] EncryptedKey }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertOrEncCert(CMPCertificate certificate)`
    `CertOrEncCert(EncryptedKey encryptedKey)`
    `CertOrEncCert(EncryptedValue encryptedValue)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CMPCertificate` | `getCertificate()`
    `EncryptedKey` | `getEncryptedCert()`
    `static CertOrEncCert` | `getInstance(java.lang.Object o)`
    `boolean` | `hasEncryptedCertificate()`
    `ASN1Primitive` | `toASN1Primitive()` CertOrEncCert ::= CHOICE { certificate [0] CMPCertificate, encryptedCert [1] EncryptedKey }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CertOrEncCert

          public CertOrEncCert(CMPCertificate certificate)

    - #### CertOrEncCert

          public CertOrEncCert(EncryptedValue encryptedValue)

    - #### CertOrEncCert

          public CertOrEncCert(EncryptedKey encryptedKey)

  - ### Method Detail

    - #### getInstance

          public static CertOrEncCert getInstance(java.lang.Object o)

    - #### hasEncryptedCertificate

          public boolean hasEncryptedCertificate()

    - #### getCertificate

          public CMPCertificate getCertificate()

    - #### getEncryptedCert

          public EncryptedKey getEncryptedCert()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

           CertOrEncCert ::= CHOICE {
                                certificate     [0] CMPCertificate,
                                encryptedCert   [1] EncryptedKey
                     }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a basic ASN.1 object representation.